Retrieves the skill with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "5ce1fcf7-ea62-4ff5-adb4-52a0046cd899",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "96d54b6c-fef8-40e6-af98-f4980bde736b",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "0393d1bf-52a8-4ea2-839f-213daaf038ab",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "fd78e2ee-7e4b-4234-8947-44aa8fc2443d",
"db_currency_id": "8040cef5-6c39-4238-aaff-62457443b3f7",
"db_language_id": "ad7f5183-6740-4a9c-b5f2-e3a9f3fbb850",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-05-04T17:02:11.9044553+00:00"
},
"modified_dateutc": "2026-05-04T17:02:11.9044553+00:00"
}